<img class="df_head_logo" src="<?php echo plugins_url('images/dialogfeed_logo.png', dirname(__FILE__))?>" alt="Dialogfeed" />

<div class="df_container voffset3">
  <div class="row">
    <div id="form_area">
      <h3><?php _e('Please fill in those fields to configure your widget', 'dialogfeed'); ?> : </h3>

      <div class="voffset4">
        <div class="df_label_block">
          <label for="widget_slug"><?php _e('Social Wall ID', 'dialogfeed') ?> :</label>
        </div>
        <div class="df_field_block">
          <input id="widget_slug" type="text" name="widget_slug"/>
        </div>
      </div>

      <div class="voffset4">
        <div class="df_label_block">
          <label for="widget_width"><?php _e('Width', 'dialogfeed') ?> :</label>
        </div>
        <div class="df_field_block">
        <input id="widget_width" type="text" name="widget_width" /> px (<?php _e("Default", "dialogfeed") ?>) <?php _e("or", "dialogfeed") ?> %
          <span class="df_field_helper"><?php _e('Can be used in % to get responsive!', 'dialogfeed') ?></span>
          <span class="df_field_helper"><?php _e('Type "%" after your value to use % instead of pxs', 'dialogfeed') ?></span>
        </div>
      </div>

      <div class="voffset4">
        <div class="df_label_block">
          <label for="widget_height"><?php _e('Height', 'dialogfeed') ?> :</label>
        </div>
        <div class="df_field_block">
          <input id="widget_height" type="text" name="widget_height"/> px
          <span class="df_field_helper"><?php _e("Maximum height", "dialogfeed") ?>: 1600px</span>
        </div>
      </div>

      <span class="fields_error" style="display:none;"><?php _e("Please fill in all fields to configure your own widget", "dialogfeed");?></span>

      <p class="submit">
        <input type="submit" onClick="generate_widget_and_shortcode();" class="button button-primary" value="<?php _e('Submit & Generate shortcode', 'dialogfeed') ?>">
      </p>
    </div>

    <div id="shortcode_area" style="display:none">
      <h3><?php _e('Your shortcode', 'dialogfeed'); ?> : </h3>
      <span class="fields_error"><?php _e("This shortcode will display an example widget with a 90% width and 750px height", "dialogfeed"); ?></span>
      <input type="text" id="generated_shortcode"/>
      <p class="voffset3"><?php _e("You can now just copy this shortcode and paste it wherever you want on your website", "dialogfeed"); ?></p>
    </div>
  </div>

  <div class="row">
    <iframe style="display:none;border:0;margin:0 auto;" id="example_widget" allowtransparency="true" frameBorder="0" noresize="true" scrolling="auto"></iframe>
    <a style="text-index: -9999px; position: absolute; bottom: 100px; right: 50%; z-index: -1;" href="http://www.dialogfeed.com/">Social Wall By Dialogfeed</a>
  </div>
</div>

<script type="text/javascript">
jQuery(document).ready(function() {

  generate_widget_and_shortcode = function () {

    // Gets fields values
    slug   = jQuery('#widget_slug').val();
    width  = jQuery('#widget_width').val();
    height = jQuery('#widget_height').val();

    shortcode = "";

    // Fields are not filled
    if(slug == "" || width == "" || height == "") {
      jQuery('.fields_error').css('display', 'block');

      // Sets default values for example widget
      slug   = "dialogfeed-wall";
      width  = "90%"
      height = "750";

      shortcode = '[dialogfeed_wall]';
    }
    else {
      jQuery('.fields_error').css('display', 'none');

      if(height > "1600") height = "1600";

      shortcode = '[dialogfeed_wall slug="'+ slug +'" width="'+ width +'" height="'+ height +'"]';
    }

    // Sets example widget's attributes
    jQuery('#example_widget').attr('width' , width);
    jQuery('#example_widget').attr('height', height);
    jQuery('#example_widget').attr('src', "http://users.dialogfeed.com/en/widget/"+ slug +"?lang=en");

    // displays the corresponding shortcode
    jQuery('#generated_shortcode').val(shortcode);

    // displays everything
    jQuery('#example_widget').css('display', 'block');
    jQuery('#shortcode_area').css('display', 'inline');
  }
});
</script>
